> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/task-dependencies/get-task-taskdependencies-by-task-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns task dependencies for a specific task. GET https://api.awork.com/api/v1/tasks/{taskId}/taskdependencies Returns task dependencies for a specific task. The result includes dependencies linked to the task. To get all dependencies of a task, the user needs project planning permissions on that project or be assigned to that task. Reference: https://developers.awork.com/apiv1/task-dependencies/get-task-taskdependencies-by-task-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `taskId` (string, required) — The id of the task. ## Response ### 200 OK - `list of TaskDependency` ## Errors ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### TaskDependency Describes the dependency between two tasks. One Task is the predecessor and one task is the successor. - `predecessorId` (string, optional) — The Id of the predecessor. A task can have multiple predecessors through multiple dependency relationships. - `successorId` (string, optional) — The Id of the successor. A task can have multiple successors through multiple dependency relationships. - `id` (string, optional) — The id of the task dependency. - `createdOn` (string, optional) — The date this task dependency was created. - `createdBy` (string, optional) — The id of the user who created this task dependency. - `updatedOn` (string, optional) — The date this task dependenc was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this task dependency. ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json [ { "predecessorId": "123e4567-e89b-12d3-a456-426614174000", "successorId": "123e4567-e89b-12d3-a456-426614174000", "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2021-03-22T13:00:00Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2021-03-22T18:00:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000" } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/tasks/taskId/taskdependencies" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/tasks/taskId/taskdependencies'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/tasks/taskId/taskdependencies" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/tasks/taskId/taskdependencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/tasks/taskId/taskdependencies") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/tasks/taskId/taskdependencies', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/tasks/taskId/taskdependencies"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/tasks/taskId/taskdependencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```